View Issue Details

IDProjectCategoryView StatusLast Update
12555Development Survey Designpublic2018-02-16 15:53
Reporterollehar Assigned Tomarkusfluer  
PrioritynormalSeverityminor 
Status closedResolutionreopened 
Product Version3.x 
Target VersionFixed in Version3.x 
Summary12555: Settings still buggy
Description
  1. I still get JSON dump when saving
  2. When saving one tab, the other tab gets reset (e.g., saving presentation options, then saving general, then presentation options are reset).
TagsNo tags attached.

Activities

user14106

2017-08-17 10:25

  ~44304

I also get the JSON during the First submission in general settings after selecting a survey. Next savings do not throw the JSON

markusfluer

markusfluer

2017-08-18 15:53

administrator   ~44313

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=23672

ollehar

ollehar

2017-08-18 16:48

administrator   ~44314

Not resolved.

  1. Go to tab "Presentation".
  2. Turn options on, off, on, off, ...
  3. Click save.
  4. Changes are not saved.

Related Changesets

LimeSurvey: develop 3b3654c0

2017-08-18 15:53:14

markusfluer

Details Diff
Fixed issue 12555: Settings still buggy Affected Issues
12555
mod - application/controllers/admin/database.php Diff File
mod - application/models/Survey.php Diff File
mod - application/views/admin/survey/editLocalSettings_main_view.php Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.js Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.js.map Diff File
mod - assets/packages/adminpanel/src/main.js Diff File

Issue History

Date Modified Username Field Change
2017-07-28 10:20 ollehar New Issue
2017-07-28 10:20 ollehar Status new => assigned
2017-07-28 10:20 ollehar Assigned To => markusfluer
2017-08-17 10:25 user14106 Note Added: 44304
2017-08-18 15:53 markusfluer Status assigned => resolved
2017-08-18 15:53 markusfluer Resolution open => fixed
2017-08-18 15:53 markusfluer Changeset attached => LimeSurvey develop 3b3654c0
2017-08-18 15:53 markusfluer Note Added: 44313
2017-08-18 16:48 ollehar Note Added: 44314
2017-08-18 16:48 ollehar Priority none => normal
2017-08-18 16:48 ollehar Status resolved => assigned
2017-08-18 16:48 ollehar Resolution fixed => reopened
2017-08-25 14:50 markusfluer Status assigned => resolved
2017-08-25 14:50 markusfluer Fixed in Version => 3.x
2018-02-16 15:53 c_schmitz Status resolved => closed